package com.example.what_the_fantasy.data.local

import com.example.what_the_fantasy.data.model.Quiz

object QuizStub {
    val quiz1 = Quiz(
        id = 1,
        name = "Quiz Seigneur des Anneaux",
        questions = listOf(
            QuestionStub.question1,
            QuestionStub.question4,
            QuestionStub.question8,
            QuestionStub.question9
        ),
        img = "lotr"
    )

    val quiz2 = Quiz(
        id = 2,
        name = "Quiz Harry Potter",
        questions = listOf(
            QuestionStub.question2,
            QuestionStub.question7,
            QuestionStub.question10
        ),
        img = "hp"
    )

    val quiz3 = Quiz(
        id = 3,
        name = "Quiz Divers Fantasy",
        questions = listOf(
            QuestionStub.question3,
            QuestionStub.question5,
            QuestionStub.question6
        ),
        img = "quiz"
    )
    val quiz4 = Quiz(
        id = 3,
        name = "Quiz Divers Fantasy",
        questions = listOf(
            QuestionStub.question3,
            QuestionStub.question5,
            QuestionStub.question6
        ),
        img = "quiz"
    )

    val quiz5 = Quiz(
        id = 3,
        name = "Quiz Divers Fantasy",
        questions = listOf(
            QuestionStub.question3,
            QuestionStub.question5,
            QuestionStub.question6
        ),
        img = "quiz"
    )
    val quiz6 = Quiz(
        id = 3,
        name = "Quiz Divers Fantasy",
        questions = listOf(
            QuestionStub.question3,
            QuestionStub.question5,
            QuestionStub.question6
        ),
        img = "quiz"
    )
    val quiz7 = Quiz(
        id = 3,
        name = "Quiz Divers Fantasy",
        questions = listOf(
            QuestionStub.question3,
            QuestionStub.question5,
            QuestionStub.question6
        ),
        img = "quiz"
    )
    val quiz8 = Quiz(
        id = 3,
        name = "Quiz Divers Fantasy",
        questions = listOf(
            QuestionStub.question3,
            QuestionStub.question5,
            QuestionStub.question6
        ),
        img = "quiz"
    )
    val quiz9 = Quiz(
        id = 3,
        name = "Quiz Divers Fantasy",
        questions = listOf(
            QuestionStub.question3,
            QuestionStub.question5,
            QuestionStub.question6
        ),
        img = "quiz"
    )
    val quiz10 = Quiz(
        id = 3,
        name = "Quiz Divers Fantasy",
        questions = listOf(
            QuestionStub.question3,
            QuestionStub.question5,
            QuestionStub.question6
        ),
        img = "quiz"
    )
    val quiz11 = Quiz(
        id = 3,
        name = "Quiz Divers Fantasy",
        questions = listOf(
            QuestionStub.question3,
            QuestionStub.question5,
            QuestionStub.question6
        ),
        img = "quiz"
    )

    val allQuizzes: List<Quiz> = listOf(quiz1, quiz2, quiz3, quiz4, quiz5, quiz6, quiz7, quiz8, quiz9, quiz10, quiz11)

    fun getQuizById(id: Int): Quiz? {
        return allQuizzes.find { it.id == id }
    }
}
